SyncML Error Internals
libsyncml API Internals » Low Level API Internals

The private part of the error handling. More...

Collaboration diagram for SyncML Error Internals:

## Functions

const char * | smlErrorTypeGetMessage (SmlErrorType type)
| Returns a string representation for a SyncML error. More...
void | smlErrorSetVargs (SmlError **error, SmlErrorType type, const char *format, va_list args)
| Sets a error from a va_list. More...

## Detailed Description

The private part of the error handling.

## Function Documentation

const char* smlErrorTypeGetMessage | ( | SmlErrorType | type | ) |

Returns a string representation for a SyncML error.

Please see the OMA documents for the according copyrights.

Parameters

  type | The type to set

Returns
  The error message as const string. If NULL is returned then this is not an error. If a string with the length zero is returned then there is no error message for this error. This is a bug and you can file a ticket.

Definition at line 47 of file sml_error.c.

Referenced by smlErrorSetVargs().

void smlErrorSetVargs | ( | SmlError ** | error,
|  | SmlErrorType | type,
|  | const char * | format,
|  | va_list | args
| ) |  |

Sets a error from a va_list.

Parameters

  error | A pointer to a error struct
  type | The type to set
  format | The message
  args | The arguments to the message

Definition at line 194 of file sml_error.c.

Referenced by smlErrorSet().

Here is the call graph for this function: